Loading ...

 
Brother MFC-9500
 
Black & White laser printer, max. 600x600 dpi, works Partially
Recommended Driver: ljet2p (Home page, View PPD, directly download PPD)
Generic Instructions: CUPS, LPD, LPRng, PPR, PDQ, no spooler
 

Discussion forum

Look for help in our forum for printers from Brother.

Comments

Reported by Thoralf Klein to work at 300 and 600 dpi with the ljet2p driver. He says it's very slow. Ghostscript-generated PCL often causes memory overruns at 600dpi.
Miltifunction device: fax, copier, scanner, etc. Most of the multifunction features don't work.

Brother publishes proprietary Linux drivers for CUPS and LPD for most of their laser printers and multi-function devices, including SANE drivers for the scanners. They can be downloaded free of charge on their Linux driver page.

blog comments powered by Disqus

Drivers

The following driver(s) are known to drive this printer:

Recommended driver:

 
ljet2p  (driver home page)
 
This driver is free software.
Type: Ghostscript built-in
Download:PPD file: View PPD, directly download PPD
 

Other drivers:

 
gimp-print  (driver home page)
 
This driver is obsolete. Recommended replacement driver: gutenprint
This driver is free software.
Type: CUPS Raster
 

 
gutenprint  (driver home page)
 
Top Quality Printer Drivers for inkjets, dye sublimation printers, and PCL lasers
Supplier: Gutenprint project
License: GPL (free software)
User support:Gutenprint mailing list at SourceForge (voluntary)
Color output   Type: CUPS Raster
Text:||||||||||  90Graphics:||||||||||  100System Load:Unknown
Line Art:||||||||||  90Photo:||||||||||  100Speed:||||||||||  60
Download:Driver packages: x86 32 bit: 5.2.7 (RPM for LSB 3.2) (Signed), 5.2.7 (DEB for LSB 3.2) (Signed), 5.0.1 (RPM for LSB 3.1) (Signed), 5.0.1 (DEB for LSB 3.1) (Signed), x86 64 bit: 5.2.7 (RPM for LSB 3.2) (Signed), 5.2.7 (DEB for LSB 3.2) (Signed), 5.0.1 (RPM for LSB 3.1) (Signed), 5.0.1 (DEB for LSB 3.1) (Signed) (How to install)
 


News & announcements RSS

Latest Comments